/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from manageriface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __MANAGERIFACE_STUB__
#define __MANAGERIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>

namespace KRES {

class TDERESOURCES_EXPORT ManagerIface_stub : virtual public DCOPStub
{
public:
    ManagerIface_stub( const TQCString& app, const TQCString& id );
    ManagerIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit ManagerIface_stub( const DCOPRef& ref );
    virtual ASYNC dcopKResourceAdded( TQString managerId, TQString resourceId );
    virtual ASYNC dcopKResourceModified( TQString managerId, TQString resourceId );
    virtual ASYNC dcopKResourceDeleted( TQString managerId, TQString resourceId );
protected:
    ManagerIface_stub() : DCOPStub( never_use ) {}
};

} // namespace

#endif
